﻿<%@ Import Namespace="System.Web" %>
<%@ Import Namespace="System.Reflection" %>
<%@ import Namespace="System.IO" %>
<%@ Import Namespace="Persits.PDF" %>

<script runat="server" LANGUAGE="C#">

    void Page_Load(Object Source, EventArgs E)
    {
        if (!IsPostBack)
        {
            PAGESELECT1.Checked = true;
        }
        
        // to keep sessionID (used for file name generation) from changing every time
        Session["dummy"] = 1;
    }



    void Upload(Object Source, EventArgs E)
    {
        if (MyFile.PostedFile.FileName.Length > 0)
	    {
		    // save uploaded file on disk
            String strPath = Server.MapPath("files") + "\\" + Path.GetFileName(MyFile.PostedFile.FileName);
            MyFile.PostedFile.SaveAs(strPath);
            
            // Open PDF document. Perform PDF-to-Image conversion
            
            // create instance of the PDF manager
            PdfManager objPDF = new PdfManager();
            PdfDocument objDoc = null;

            try
            {
                using (objDoc = objPDF.OpenDocument(strPath, Pwd.Text))
                {
                    if (objDoc == null)
                    {
                        lblResult.Text = "<font color=red>This document is password-protected, please specify a valid password.</font>";
                        return;
                    }

                    int nPageCount = objDoc.Pages.Count;

                    // Figure out which page the user wants to convert to image.
                    int nPageNum = 1;
                    if (PAGESELECT2.Checked)
                        nPageNum = nPageCount;
                    else if (PAGESELECT3.Checked)
                    {
                        Random rnd = new Random();
                        nPageNum = (rnd.Next() % nPageCount) + 1;
                    }
                    else if (PAGESELECT4.Checked)
                    {
                        double d;
                        nPageNum = Double.TryParse(PageNum.Text, out d) ? (int)double.Parse(PageNum.Text) : 1;
                        if (nPageNum < 1)
                            nPageNum = 1;
                        else if (nPageNum > nPageCount)
                            nPageNum = nPageCount;
                    }

                    // Now convert to image at 50%
                    PdfPreview objPreview = objDoc.Pages[nPageNum].ToImage("ResolutionX=36; ResolutionY=36; Debug=true");

                    // Save
                    string strFileName = objPreview.Save(Server.MapPath("files") + "\\" + Session.SessionID.ToString() + ".png", false);

                    lblResult.Text = Path.GetFileName(MyFile.PostedFile.FileName) + ", Page " + nPageNum.ToString() + ":<P>";
                    lblResult.Text += "<IMG SRC=\"files/" + strFileName + "\" BORDER=1>";

                    // Display error log if applicable
                    if (objPreview.Log.Length > 0)
                    {
                        lblResult.Text += "<P>Error Log: <P>" + objPreview.Log.Replace("\r\n\r\n", "<BR>");
                    }
                }
            }
            catch (Exception e)
            {
                lblResult.Text = "<font color=red>Error opening PDF file: </B><I>" + e.Message + "</i><B></font>";
				return;
            }
	    }
    }


</script>


<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<title>AspPDF.NET PDF-to-Image Demo</title>
</head>
<body>
<font face="arial" size="2">

<h3>AspPDF.NET PDF-to-Image Demo</h3>

<form method="POST" enctype="multipart/form-data" runat="Server" id="MyForm">
<table style="font-face: arial; font-size: 12">
<tr>
<td><b>Select a PDF file:</b></td>
<td><asp:FileUpload id="MyFile" runat="Server" width="380" /></td></tr>

<tr>
<td>If the file is password-protected,<br>enter the password:</td>
<td><asp:TextBox runat="server" id="Pwd" TextMode="Password" Columns="60"/></td>
</tr>

<tr>
<td valign="TOP">Select which page to convert to an image:</td>
<td><asp:RadioButton ID="PAGESELECT1" GroupName="PageSelect" RUNAT="Server"/>First Page<br>
	<asp:RadioButton ID="PAGESELECT2" GroupName="PageSelect" RUNAT="Server"/>Last Page<br>
	<asp:RadioButton ID="PAGESELECT3" GroupName="PageSelect" RUNAT="Server"/>Random Page<br>
	<asp:RadioButton ID="PAGESELECT4" GroupName="PageSelect" RUNAT="Server"/>Other (specify)
		<ASP:TextBox Width="50" id="PageNum" runat="Server" OnFocus="document.MyForm.PAGESELECT4.checked=true"/></td>
</tr>

<tr><TD colspan="2">
<asp:Button id="btnUpload" OnClick="Upload" Text="Upload File" runat="Server"/>
</td></tr>

<tr><td colspan="2">
&nbsp;<p>
<ASP:Label ID="lblResult" RUNAT="Server"/>
</td></tr>
</table>
</form>



<p>
<a HREF="demo_pdftoimage.zip">Download C# and VB.NET source code for this demo</a>

</font>
</body>
</html>
