﻿<%@ Page Language="VB" Debug="true" %>

<%@ Import Namespace="System.Web" %>
<%@ import Namespace="System.IO" %>
<%@ Import Namespace="Persits.PDF" %>



<script runat="server" LANGUAGE="VB">

Sub Page_Load(Source As Object, E As EventArgs)
	lblResult.Text = ""

	If Not IsPostBack Then PageSelect1.Checked = True

	' to keep sessionID (used for file name generation) from changing every time
	Session("dummy") = 1
End Sub



Public Sub Upload(sender As object, args As System.EventArgs)

	' file uploaded?
        If MyFile.PostedFile.FileName.Length > 0 Then

            ' save uploaded file on disk
            Dim strPath As String = Server.MapPath("files") + "\" + Path.GetFileName(MyFile.PostedFile.FileName)
            MyFile.PostedFile.SaveAs(strPath)
            
            ' Open PDF document. Perform PDF-to-Image conversion
            
            ' create instance of the PDF manager
            Dim objPDF As PdfManager = New PdfManager()

            Try
            
                Using objDoc As PdfDocument = objPDF.OpenDocument(strPath, Pwd.Text)
                    If objDoc Is Nothing Then
                        lblResult.Text = "<font color=red>This document is password-protected, please specify a valid password.</font>"
                        Return
                    End If
                
                    Dim nPageCount As Integer = objDoc.Pages.Count

                    '/ Figure out which page the user wants to convert to image.
                    Dim nPageNum As Integer = 1
                    If PAGESELECT2.Checked Then
                        nPageNum = nPageCount
                    ElseIf PAGESELECT3.Checked Then                    
                        Dim rnd As Random = New Random()
                        nPageNum = (rnd.Next() Mod nPageCount) + 1
                    ElseIf PAGESELECT4.Checked Then                
                        Dim d As Double
                        If Double.TryParse(PageNum.Text, d) Then
                            nPageNum = Double.Parse(PageNum.Text)
                        Else
                            nPageNum = 1
                        End If
                        
                        If (nPageNum < 1) Then
                            nPageNum = 1
                        ElseIf (nPageNum > nPageCount) Then
                            nPageNum = nPageCount
                        End If
                    End If

                    ' Now convert to image at 50%
                    Dim objPreview As PdfPreview = objDoc.Pages(nPageNum).ToImage("ResolutionX=36; ResolutionY=36; Debug=true")
                
                    ' Save
                    Dim strFileName As String = objPreview.Save(Server.MapPath("files") + "\" + Session.SessionID.ToString() + ".png", False)

                    lblResult.Text = Path.GetFileName(MyFile.PostedFile.FileName) + ", Page " + nPageNum.ToString() + ":<P>"
                    lblResult.Text += "<IMG SRC=""files/" + strFileName + """ BORDER=1>"
                
                    ' Display error log if applicable
                    If (objPreview.Log.Length > 0) Then                    
                        lblResult.Text += "<P>Error Log: <P>" + objPreview.Log.Replace("\r\n\r\n", "<BR>")
                    End If                                    
                End Using            
            Catch ex As Exception
                lblResult.Text = "<font color=red>Error opening PDF file: </B><I>" + ex.Message + "</i><B></font>"
                Return
            End Try

        End If
End Sub

</script>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<title>AspPDF.NET PDF-to-Image Demo</title>
</head>
<body>
<font face="arial" size="2">

<h3>AspPDF.NET PDF-to-Image Demo</h3>

<form method="POST" enctype="multipart/form-data" runat="Server" id="MyForm">
<table style="font-face: arial; font-size: 12">
<tr>
<td><b>Select a PDF file:</b></td>
<td><asp:FileUpload id="MyFile" runat="Server" width="380" /></td></tr>

<tr>
<td>If the file is password-protected,<br>enter the password:</td>
<td><asp:TextBox runat="server" id="Pwd" TextMode="Password" Columns="60"/></td>
</tr>

<tr>
<td valign="TOP">Select which page to convert to an image:</td>
<td><asp:RadioButton ID="PAGESELECT1" GroupName="PageSelect" RUNAT="Server"/>First Page<br>
	<asp:RadioButton ID="PAGESELECT2" GroupName="PageSelect" RUNAT="Server"/>Last Page<br>
	<asp:RadioButton ID="PAGESELECT3" GroupName="PageSelect" RUNAT="Server"/>Random Page<br>
	<asp:RadioButton ID="PAGESELECT4" GroupName="PageSelect" RUNAT="Server"/>Other (specify)
		<ASP:TextBox Width="50" id="PageNum" runat="Server" OnFocus="document.MyForm.PAGESELECT4.checked=true"/></td>
</tr>

<tr><TD colspan="2">
<asp:Button id="btnUpload" OnClick="Upload" Text="Upload File" runat="Server"/>
</td></tr>

<tr><td colspan="2">
&nbsp;<p>
<ASP:Label ID="lblResult" RUNAT="Server"/>
</td></tr>
</table>
</form>



<p>
<a HREF="demo_pdftoimage.zip">Download C# and VB.NET source code for this demo</a>

</font>
</body>
</html>